CVE-2018-1000120

Published: 14 March 2018

A buffer overflow exists in curl 7.12.3 to and including curl 7.58.0 in the FTP URL handling that allows an attacker to cause a denial of service or worse.

Priority

Medium

CVSS 3 base score: 9.8

Status

Package Release Status
curl
Launchpad, Ubuntu, Debian
Upstream
Released (7.59.0)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (7.58.0-2ubuntu3)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (7.47.0-1ubuntu2.7)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (7.35.0-1ubuntu2.15)
Patches:
Upstream: https://github.com/curl/curl/commit/535432c0adb62fe167ec09621500470b6fa4eb0f